Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.ra
Class OdeManagedConnectionFactory

    java.lang.Object
      org.apache.ode.ra.OdeManagedConnectionFactory

All Implemented Interfaces:
  java.io.Serializable, javax.resource.spi.ManagedConnectionFactory

    public class OdeManagedConnectionFactory

extends java.lang.Object
implements javax.resource.spi.ManagedConnectionFactory

JCA `ManagedConnectionFactory` implementation.

See Also:
  Serialized Form

Constructor Summary
`OdeManagedConnectionFactory()`

Method Summary
`java.lang.Object` | `createConnectionFactory()`
`java.lang.Object` | `createConnectionFactory(javax.resource.spi.ConnectionManager connectionManager)`
`javax.resource.spi.ManagedConnection` | `createManagedConnection(javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo connectionRequestInfo)`
`java.io.PrintWriter` | `getLogWriter()`
`javax.resource.spi.ManagedConnection` | `matchManagedConnections(java.util.Set candidates, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo connectionRequestInfo)`
`void` | `setLogWriter(java.io.PrintWriter printWriter)`
`void` | `setProperty(java.lang.String key, java.lang.String val)`
`void` | `setTransport(java.lang.String transportClassName)`
`void` | `setURL(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.spi.ManagedConnectionFactory
`equals, hashCode`

Constructor Detail

### OdeManagedConnectionFactory

    public OdeManagedConnectionFactory()

Method Detail

### setTransport

    public void setTransport(java.lang.String transportClassName)
                      throws javax.resource.ResourceException

  Throws:
    `javax.resource.ResourceException`

### setURL

    public void setURL(java.lang.String url)
                throws javax.resource.ResourceException

  Throws:
    `javax.resource.ResourceException`

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String val)
                     throws javax.resource.ResourceException

  Throws:
    `javax.resource.ResourceException`

### createConnectionFactory

    public java.lang.Object createConnectionFactory()
                                             throws javax.resource.ResourceException

  Specified by:
    `createConnectionFactory` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### createConnectionFactory

    public java.lang.Object createConnectionFactory(javax.resource.spi.ConnectionManager connectionManager)
                                             throws javax.resource.ResourceException

  Specified by:
    `createConnectionFactory` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### createManagedConnection

    public javax.resource.spi.ManagedConnection createManagedConnection(javax.security.auth.Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo connectionRequestInfo)
                                                                 throws javax.resource.ResourceException

  Specified by:
    `createManagedConnection` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### matchManagedConnections

    public javax.resource.spi.ManagedConnection matchManagedConnections(java.util.Set candidates,
                                                                        javax.security.auth.Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo connectionRequestInfo)
                                                                 throws javax.resource.ResourceException

  Specified by:
    `matchManagedConnections` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### getLogWriter

    public java.io.PrintWriter getLogWriter()
                                     throws javax.resource.ResourceException

  Specified by:
    `getLogWriter` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### setLogWriter

    public void setLogWriter(java.io.PrintWriter printWriter)
                      throws javax.resource.ResourceException

  Specified by:
    `setLogWriter` in interface `javax.resource.spi.ManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD